Delete a sub account Run in API Explorer
Ask AI
DELETE
/api/v1/plans/{plan_uuid}/sub-accounts/{uuid}
curl \
--request DELETE 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"uuid": "429c4717-7fc8-44a9-9a1d-b829e59f6b32",
"created_at": "2026-08-14T11:20:12+01:00",
"updated_at": "2026-08-14T11:20:12+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "5d3a9a0c-ffbf-4b19-a961-48a4efa62778",
"created_at": "2026-08-14T11:20:12+01:00",
"updated_at": "2026-08-14T11:20:12+01:00",
"valued_at": "2026-08-14T11:20:12+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "7dd8c0f2-e6ef-4729-a594-17e0551166ec",
"created_at": "2026-08-14T11:20:18+01:00",
"updated_at": "2026-08-14T11:20:18+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "fc750772-df97-4b1c-98f8-d090a61dce0e",
"created_at": "2026-08-14T11:20:12+01:00",
"updated_at": "2026-08-14T11:20:12+01:00",
"is_proposed": true,
"proposed_at": "2026-08-14T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
}
Response examples (409)
{
"message": "Plan is being deleted."
}